From 0b61998d33ccdb77b1e3b8851f2e1a23da571284 Mon Sep 17 00:00:00 2001
From: ssingarr <ssingarr@gmail.com>
Date: Mon, 7 Nov 2022 09:36:41 +0000
Subject: [PATCH v1] Use proc instead of MyProc in
 ProcArrayGroupClearXid()/TransactionGroupUpdateXidStatus()

In both TransactionGroupUpdateXidStatus() and
ProcArrayGroupClearXid() global MyProc is used. For consistency,
replace it with a function local variable.
---
 src/backend/access/transam/clog.c   | 2 +-
 src/backend/storage/ipc/procarray.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/access/transam/clog.c b/src/backend/access/transam/clog.c
index 77d9894dab..edc06d817c 100644
--- a/src/backend/access/transam/clog.c
+++ b/src/backend/access/transam/clog.c
@@ -553,7 +553,7 @@ TransactionGroupUpdateXidStatus(TransactionId xid, XidStatus status,
 
 		wakeproc->clogGroupMember = false;
 
-		if (wakeproc != MyProc)
+		if (wakeproc != proc)
 			PGSemaphoreUnlock(wakeproc->sem);
 	}
 
diff --git a/src/backend/storage/ipc/procarray.c b/src/backend/storage/ipc/procarray.c
index 207c4b27fd..f1fe625e4a 100644
--- a/src/backend/storage/ipc/procarray.c
+++ b/src/backend/storage/ipc/procarray.c
@@ -881,7 +881,7 @@ ProcArrayGroupClearXid(PGPROC *proc, TransactionId latestXid)
 
 		nextproc->procArrayGroupMember = false;
 
-		if (nextproc != MyProc)
+		if (nextproc != proc)
 			PGSemaphoreUnlock(nextproc->sem);
 	}
 }
-- 
2.34.1

